# cant use mem_limit in a 3.x docker-compose file in non swarm mode
# see https://github.com/docker/compose/issues/4513
version: "2.4"

services:
  whoogle-search:
    image: benbusby/whoogle-search
    container_name: whoogle-search
    restart: unless-stopped
    pids_limit: 50
    mem_limit: 256mb
    memswap_limit: 256mb
    # user debian-tor from tor package
    user: '102'
    security_opt:
      - no-new-privileges
    cap_drop:
      - ALL
    tmpfs:
      - /config/:size=10M,uid=102,gid=102,mode=1700
      - /var/lib/tor/:size=10M,uid=102,gid=102,mode=1700
      - /run/tor/:size=1M,uid=102,gid=102,mode=1700
    #environment: # Uncomment to configure environment variables
      # Basic auth configuration, uncomment to enable
      #- WHOOGLE_USER=<auth username>
      #- WHOOGLE_PASS=<auth password>
      # Proxy configuration, uncomment to enable
      #- WHOOGLE_PROXY_USER=<proxy username>
      #- WHOOGLE_PROXY_PASS=<proxy password>
      #- WHOOGLE_PROXY_TYPE=<proxy type (http|https|socks4|socks5)
      #- WHOOGLE_PROXY_LOC=<proxy host/ip>
      # Site alternative configurations, uncomment to enable
      # Note: If not set, the feature will still be available
      # with default values. 
      #- WHOOGLE_ALT_TW=nitter.net
      #- WHOOGLE_ALT_YT=invidious.snopyta.org
      #- WHOOGLE_ALT_IG=bibliogram.art/u
      #- WHOOGLE_ALT_RD=libredd.it
      #- WHOOGLE_ALT_TL=lingva.ml
      #- WHOOGLE_ALT_MD=scribe.rip
    #env_file: # Alternatively, load variables from whoogle.env
      #- whoogle.env
    ports:
      - 5000:5000
